[Updated] Minecraft ‘A JNI error has occurred, please check your installation and try again’ or ‘Java exception’ after 1.17 update? Here’s how to fix

New updates are being added at the bottom of this story…….

Original story (published on June 09, 2021) follows:

Reading: minecraft a java exception has occurred

Minecraft players are finally getting their hands on the latest 1.17 Caves and Cliffs: Part 1 update that brings three new mobs — goats, glow squids, and axolotls amongst many other additions.

Of course, it’s a massive update that players have been looking forward to for weeks, and now that it’s here, players around the world are checking out the new update to see what it has to offer.

Unfortunately, it seems that the new update is off to a bumpy start. Some individuals who’ve installed Minecraft 1.17 are reporting that they’re getting an error message that says ‘A JNI error has occurred, please check your installation and try again’ or ‘Java exception’.

We’ve shared some reports from disgruntled users below for reference:

minecraft-jni-error-report
(Source)

When i try to play 1.17-rc1 or snapshots it gives 2 errors. Error1: A JNI error has occored please check your installation and try again. Error2: A java exeption has occored (Source)

Does the server file work yet? I keep getting the error code: A JNI error has occurred, please check your installation and try again. (Source)

I have 1.17 Minecraft server files install but they’re giving me a JNI error, maybe its the launcher? (Source)

According to players, they aren’t able to install and play Minecraft 1.17 because they keep getting a ‘JNI error’ or ‘Java exception’ error.

Players have even confirmed that their computers do have Java installed but the error still pops up.

Naturally, this has left many players scrambling to find a fix. In case you’re one of them, well, there’s no reason to fret.

The ‘JNI error’ that has started popping up with the latest Minecraft 1.17 update can be fixed by installing Java 16, as confirmed by many reports from players who were experiencing the problem.

minecraft-jni-error-fix
(Source)

Minecraft 1.17 requires Java 16 or later to work, hence the game does not work on computers that do not meet the requirements.

That said, in case you need a video guide to help fix the issue, we’ve shared one below.

Once you install Java 16 on your computer, you should be able to play the Minecraft 1.17 update without worrying about running into the ‘JNI error’.

Related: how to get commands on minecraft server | WTBBLUE

Feel free to drop a comment letting us know whether or not this fixed the problem for you.

Update 1 (June 10)

Going by the bug page for “A JNI error has occurred, please check your installation and try again” at Mojang support, here’s something you need to know:

This error happens when you launch the client (the game) or server (the .jar) without Java 16 in 21w19 and above. Minecraft has was updated to use Java 16 as per the 21w19a changelog:

Minecraft now uses a more recent version of Java. If you are using a default setup the Launcher will download and install the correct version. If you are using a custom Java setup or a third-party launcher, you will need to ensure that your Java installation is version 16 or above.

And here’s how you can resolve the problem:

To fix this issue, download the AdoptOpenJDK and follow the steps below for the client or server.

Client: Make sure that your launcher is running Java 16. To do so, change the Java executable runtime to target “javaw.exe” in C:Program FilesJavajdk-16.0.1binwtbblue.com or where you installed Java 16. Contact your launcher maintainers if you cannot switch or do not know how to switch to Java 16.

Server: If you are running a server on your computer, make sure that AdoptOpenJDK is running the .jar. To make sure on Windows 10, the file properties should look like this:

Try uninstalling Java 8 and restart your computer to make sure you are running Java 16. If you are running a server with a host, contact the host.

If none if this works, please contact Community Support.

Update 2 (June 11)

Going by users reports, those of you facing the issue on Linux, here’s a tip for you:

FIX: FOR LINUX USERS ONLY!!

MAKE SURE TO UPDATE

sudo apt-get update

THEN

sudo apt search jdk

“find openjdk version 17” OR just do this command

Related: How To Make Clickable Signs In Minecraft Custom Sign Generator

sudo apt install openjdk-17-jdk

enjoy the new 1.17 update yall 😀

In case, openjdk-17-jdk does not appear on entering “sudo apt search jdk” and on entering sudo apt install openjdk-17-jdk it says “Unable to locate package openjdk-17-jdk” you will be required to add another repository first. Here’s how a user puts it:

sudo add-apt-repository ppa:linuxuprising/java

sudo apt-get update

Optional: sudo apt search jdk

I found openjdk-16-jdk so I installed that; I didn’t see openjdk-17-jdk, but 16 works

sudo apt install openjdk-16-jdk

Update 3 (June 18)

An individual has highlighted some important information surrounding the availability of Java 16 on Mojang’s support website. Check out the information below:

Unlike Java 8, there’s no single provider of downloads for Java 16. Some major ones are:

– OpenJDK (from Oracle): wtbblue.com/16/ – Oracle: wtbblue.com/java/technologies/wtbblue.com Oracle was historically the primary provider of Java, but their free downloads are now only intended for developers. Their standard releases are now paid and cost several hundred dollars per year. OpenJDK downloads are not included in this.

– Amazon Corretto (from Amazon): wtbblue.com/corretto/latest/corretto-16-ug/wtbblue.com – Zulu (from Azul): wtbblue.com/downloads/#download-openjdk – AdoptOpenJDK (from Eclipse Foundation, sponsored by many organizations including Amazon, IBM, and Microsoft): wtbblue.com/?variant=openjdk16&jvmVariant=hotspot I would personally recommend AdoptOpenJDK, but the choice here is up to you.

Update 4 (July 16)

For those of you facing error or crash while loading the resource packs in the Java Edition, the official troubleshooting page suggests you to uninstall and re-install them. Following are the details:

If resource packs or mods fail to load or cause your game to crash, you will need to uninstall and reinstall them one at a time to find which one is the cause.   Tip: If you know the order in which you installed them, you can uninstall them in reverse order, testing after each uninstall.

Since resource packs and mods are not created by Mojang Studios, we do not offer support for them. If you need further assistance, contact the author of the mod or resource pack.    

If this did not solve your issue, see Pink and Black Checkered Boxes Appear Where Textures Should Be.

PiunikaWeb started as purely an investigative tech journalism website with main focus on ‘breaking’ or ‘exclusive’ news. In no time, our stories got picked up by the likes of Forbes, Foxnews, Gizmodo, TechCrunch, Engadget, The Verge, Macrumors, and many others. Want to know more about us? Head here.

Related: what to do with leather in minecraft

Leave a Comment